Bug 971526 - Pulseaudio sometimes plays music too fast/high-pitched
Pulseaudio sometimes plays music too fast/high-pitched
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-06 14:08 EDT by Jonas Thiem
Modified: 2015-02-17 10:28 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:28:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
alsa-info output (31.18 KB, text/plain)
2013-06-06 14:08 EDT, Jonas Thiem
no flags Details

  None (edit)
Description Jonas Thiem 2013-06-06 14:08:15 EDT
Created attachment 757808 [details]
alsa-info output

Description of problem:
Sometimes, pulseaudio sometimes plays music faster and high-pitched than it should be (like 44.1 audio on a 48khz device or something like that). Doing "killall pulseaudio" and restarting playback fixes things, which is why I suspect a pulseaudio bug.

This appears to be a regression since Fedora 17 (I jumped over Fedora 18), where this never occured to me.

I had the problem occuring with both audio opened directly in a Google Chrome tab (chrome probably uses liboggplay or ffmpeg or something for that), and with the adobe flash player.

Sorry I encountered both of this with just proprietary software, but since chrome and the flash plugin are probably sufficiently separate in their audio handling, I assume a pulseaudio cause is likely. However, so far it did not occur to me with other software (I do the majority of my audio playback inside the web browser).

Version-Release number of selected component (if applicable):
Name        : pulseaudio
Arch        : x86_64
Version     : 3.0
Release     : 10.fc19
Kernel version: 3.9.4-300.fc19.x86_64

How reproducible:
Happens every 1-3 days, a "killall pulseaudio" and reissuing playback makes it go away.

Steps to Reproduce:
1. Leave computer running for a long time, play music at various times
2. After a longer break with no music, play music in Google Chrome directly in a media tab, or on Youtube with Adobe Flash. Doesn't happen always

Actual results:
Music is high-pitched and faster until "killall pulseaudio" is issued

Expected results:
Music is normal as always

Additional info:
Comment 1 Rex Dieter 2013-06-06 15:12:35 EDT
Interesting, I have to say I noticed this too recently, and also only in the scenario's you mentioned.  For me, primarily when playing 'Angry birds friends' (flash) on chrome.

I wonder, if resume/suspend cycles may be relevant... I'll try testing that, and report back if I find anything.
Comment 2 Fedora End Of Life 2015-01-09 13:20:54 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 10:28:54 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.